Truncating Files
3
GNOME-VFS-2.0 Library

# Truncating Files

Force files to a particular length

## Synopsis

    GnomeVFSResult      gnome_vfs_truncate                  (const gchar *text_uri,
                                                             GnomeVFSFileSize length);
    GnomeVFSResult      gnome_vfs_truncate_uri              (GnomeVFSURI *uri,
                                                             GnomeVFSFileSize length);
    GnomeVFSResult      gnome_vfs_truncate_handle           (GnomeVFSHandle *handle,
                                                             GnomeVFSFileSize length);

## Description

Truncation of files is used to force them to a particular length. If a file longer than specified, the trailing bytes are discarded, if it is shorter than specified it is padded with zeros.

## Details

### gnome_vfs_truncate ()

    GnomeVFSResult      gnome_vfs_truncate                  (const gchar *text_uri,
                                                             GnomeVFSFileSize length);

Truncate the file at `text_uri` to `length` bytes.

`text_uri` :

  string representing the file to be truncated.

`length` :

  length of the new file at `text_uri`.

Returns :

  an integer representing the result of the operation.

### gnome_vfs_truncate_uri ()

    GnomeVFSResult      gnome_vfs_truncate_uri              (GnomeVFSURI *uri,
                                                             GnomeVFSFileSize length);

Truncate the file at `uri` to be only `length` bytes. Data past `length` bytes will be discarded.

`uri` :

  uri of the file to be truncated.

`length` :

  length of the new file at `uri`.

Returns :

  an integer representing the result of the operation.

### gnome_vfs_truncate_handle ()

    GnomeVFSResult      gnome_vfs_truncate_handle           (GnomeVFSHandle *handle,
                                                             GnomeVFSFileSize length);

Truncate the file pointed to by `handle` to be only `length` bytes. Data past `length` bytes will be discarded.

`handle` :

  a handle to the file to be truncated.

`length` :

  length of the new file the handle is open to.

Returns :

  an integer representing the result of the operation.